// Ajud1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "Ajud1Dlg.h"
#include "AjudADlg.h"
//#include "AjudBDlg.h"
#include "AjudEDlg.h"
//#include "AjudFDlg.h"
#include "AjudIDlg.h"
#include "AjudJDlg.h"
#include "AjudLDlg.h"
//#include "AjudMDlg.h"
#include "AjudODlg.h"
#include "AjudNDlg.h"
#include "AjudDDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjud1Dlg dialog


CAjud1Dlg::CAjud1Dlg(CWnd* pParent /*=NULL*/)
   : CDialog(CAjud1Dlg::IDD, pParent)
{
   //{{AFX_DATA_INIT(CAjud1Dlg)
	//}}AFX_DATA_INIT
}


void CAjud1Dlg::DoDataExchange(CDataExchange* pDX)
{
   CDialog::DoDataExchange(pDX);
   //{{AFX_DATA_MAP(CAjud1Dlg)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjud1Dlg, CDialog)
   //{{AFX_MSG_MAP(CAjud1Dlg)
	ON_BN_CLICKED(IDC_AJUDA_AGUA, OnAjudaAgua)
	ON_BN_CLICKED(IDC_AJUDA_MICRO, OnAjudaMicro)
	ON_BN_CLICKED(IDC_AJUDA_PEIXE, OnAjudaPeixe)
	ON_BN_CLICKED(IDC_AJUDA_PERSONAGEM, OnAjudaPersonagem)
	ON_BN_CLICKED(IDC_AJUDA_POLUIDOR, OnAjudaPoluidor)
	ON_BN_CLICKED(IDC_AJUDA_DICIONARIO, OnAjudaDicionario)
	ON_BN_CLICKED(IDC_COMOJOGAR, OnComojogar)
	ON_BN_CLICKED(IDC_POLUICAO, OnPoluicao)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjud1Dlg message handlers

BOOL CAjud1Dlg::OnInitDialog() 
{

	CDialog::OnInitDialog();

	/*if ( ! m_oBmpAgua.LoadBitmaps ( _T ( "BMP_AGUA" ), NULL, NULL ) ||
		  ! m_oBmpFundo.LoadBitmaps ( _T ( "BMP_FUNDO" ), NULL, NULL ) ||
		  ! m_oBmpMicro.LoadBitmaps ( _T ( "BMP_MICRO" ), NULL, NULL ) ||
		  ! m_oBmpPeixe.LoadBitmaps ( _T ( "BMP_PEIXE" ), NULL, NULL ) ||
		  ! m_oBmpPersonagem.LoadBitmaps ( _T ( "BMP_TODOS" ), NULL, NULL ) ||
		  ! m_oBmpPoluidores.LoadBitmaps ( _T ( "BMP_POLUIDOR" ), NULL, NULL ) ||
		  ! m_oBmpDicionario.LoadBitmaps ( _T ( "BMP_DICIONARIO" ), NULL, NULL ) ||
		  ! m_oBmpPlanta.LoadBitmaps ( _T ( "BMP_PLANTA" ), NULL, NULL ) ||
		  ! m_oBmpBibliografia.LoadBitmaps ( _T ( "BMP_BIBLIO" ), NULL, NULL ) ||
		  ! m_oBmpMentais.LoadBitmaps ( _T ( "BMP_MENTAIS" ), NULL, NULL ) ) {*/

   // tenta carregar bitmaps
   if ( ! m_oBmpAgua.LoadBitmaps ( _T ( "BMP_AGUA" ), NULL, NULL ) ||
		  ! m_oBmpComoJoga.LoadBitmaps ( _T ( "BMP_COMOJOGA" ), NULL, NULL ) ||
		  ! m_oBmpDicionario.LoadBitmaps ( _T ( "BMP_DICIONARIO" ), NULL, NULL ) ||
		  ! m_oBmpMicro.LoadBitmaps ( _T ( "BMP_MICRO" ), NULL, NULL ) ||
		  ! m_oBmpPeixe.LoadBitmaps ( _T ( "BMP_PEIXE" ), NULL, NULL ) ||
		  ! m_oBmpPoluidores.LoadBitmaps ( _T ( "BMP_POLUIDOR" ), NULL, NULL ) ||
		  ! m_oBmpPoluidores2.LoadBitmaps ( _T ( "BMP_POLUICAO" ), NULL, NULL ) ||
		  ! m_oBmpPersonagem.LoadBitmaps ( _T ( "BMP_TODOS" ), NULL, NULL ) ) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	VERIFY ( m_oBmpAgua.SubclassDlgItem ( IDC_AJUDA_AGUA, this ) );
	VERIFY ( m_oBmpComoJoga.SubclassDlgItem ( IDC_COMOJOGAR, this ) );
	VERIFY ( m_oBmpDicionario.SubclassDlgItem ( IDC_AJUDA_DICIONARIO, this ) );
	VERIFY ( m_oBmpMicro.SubclassDlgItem ( IDC_AJUDA_MICRO, this ) );
	VERIFY ( m_oBmpPeixe.SubclassDlgItem ( IDC_AJUDA_PEIXE, this ) );
	VERIFY ( m_oBmpPoluidores.SubclassDlgItem ( IDC_AJUDA_POLUIDOR, this ) );
	VERIFY ( m_oBmpPoluidores2.SubclassDlgItem ( IDC_POLUICAO, this ) );
	VERIFY ( m_oBmpPersonagem.SubclassDlgItem ( IDC_AJUDA_PERSONAGEM, this ) );

	// muda tamanho dos controles para caber os bitmaps
	m_oBmpAgua.SizeToContent ();
	m_oBmpComoJoga.SizeToContent ();
	m_oBmpDicionario.SizeToContent ();
	m_oBmpMicro.SizeToContent ();
	m_oBmpPeixe.SizeToContent ();
	m_oBmpPoluidores.SizeToContent ();
	m_oBmpPoluidores2.SizeToContent ();
	m_oBmpPersonagem.SizeToContent ();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


// Abre as caixas de dialogo com demais informacoes

void CAjud1Dlg::OnAjudaAgua() 
{
	CAjudADlg
		oDlg;
	oDlg.DoModal ();	
}

void CAjud1Dlg::OnAjudaMicro() 
{
	CAjudIDlg
		oDlg;
	oDlg.DoModal ();	
}

void CAjud1Dlg::OnAjudaPeixe() 
{
	CAjudEDlg
		oDlg;
	oDlg.DoModal ();	
}

void CAjud1Dlg::OnAjudaPersonagem() 
{
	CAjudNDlg
		oDlg;
	oDlg.DoModal ();	
}

void CAjud1Dlg::OnAjudaPoluidor() 
{
	CAjudODlg
		oDlg;
	oDlg.DoModal ();	
}

void CAjud1Dlg::OnAjudaDicionario() 
{
	CAjudDDlg
		oDlg;
	oDlg.DoModal ();	
}

void CAjud1Dlg::OnComojogar() 
{
	CAjudJDlg
		oDlg;
	oDlg.DoModal ();	
	
}

void CAjud1Dlg::OnPoluicao() 
{
	CAjudLDlg
		oDlg;
	oDlg.DoModal ();	
}
